Bug 1235556 - RFE: Allow inclusion of derived metrics files
Summary: RFE: Allow inclusion of derived metrics files
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-25 07:28 UTC by Marko Myllynen
Modified: 2015-08-22 16:34 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-13 16:56:50 UTC


Attachments (Terms of Use)

Description Marko Myllynen 2015-06-25 07:28:19 UTC
Description of problem:
It would be nice if a derived metric configuration file (specified with PCP_DERIVED_CONFIG) could include other derived metric configuration files. For example, something like:

!include /absolute/path/to/derived/config.file1
!include /absolute/path/to/derived/config.file2
local.metric = ...

Version-Release number of selected component (if applicable):
3.10.5

Comment 1 Frank Ch. Eigler 2015-06-25 17:47:38 UTC
A more automated alternative for independent metrics would be to support $PCP_DERIVED_CONFIG being a directory name, which would instruct libpcp to load each file in that directory (as if each were !include'd, similarly to foo.conf.d/* files).

Comment 2 Fedora Update System 2015-08-04 05:37:01 UTC
pcp-3.10.6-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.fc23

Comment 3 Fedora Update System 2015-08-04 05:37:36 UTC
pcp-3.10.6-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.fc22

Comment 4 Fedora Update System 2015-08-04 05:38:22 UTC
pcp-3.10.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.fc21

Comment 5 Fedora Update System 2015-08-04 05:39:12 UTC
pcp-3.10.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.el5

Comment 6 Fedora Update System 2015-08-05 00:12:31 UTC
Package pcp-3.10.6-1.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcp-3.10.6-1.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12753/pcp-3.10.6-1.fc23
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-08-13 16:56:50 UTC
pcp-3.10.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-08-13 16:58:33 UTC
pcp-3.10.6-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-08-15 02:17:57 UTC
pcp-3.10.6-1.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-08-22 16:33:40 UTC
pcp-3.10.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.